routes/web.php
<?php

use App\Http\Controllers\AdminController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\SellerAuthController;
use App\Http\Controllers\SellerController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

// Route::prefix('admin')->controller(App\Http\Controllers\Admin\HomeController::class)->middleware('auth:admins')->group(function () {

//     Route::get('/', 'home');
//     // Route::resource('admins', AdminController::class);
// });

// Route::prefix('seller')->controller(App\Http\Controllers\Seller\HomeController::class)->middleware('auth:sellers')->group(function () {

//     Route::get('/', 'home');
//     // Route::resource('categories', CategoryController::class);
//     // Route::resource('admins',AdminController::class);
//     // Route::post('logout', [AuthController::class, 'logout'])->name('logout');
// });

// Route::controller(App\Http\Controllers\User\HomeController::class)->group(function () {

//     Route::get('/', 'home');
// });

// Route::prefix('admin')->controller(App\Http\Controllers\Admin\AuthController::class)->group(function () {
//     Route::get('login', 'showLogin')->name('admin.login');
//     Route::post('login', 'login');
// });

// Route::prefix('seller')->controller(App\Http\Controllers\Seller\AuthController::class)->group(function () {
//     Route::get('login', 'showLogin')->name('seller.login');
//     Route::post('login', 'login');
// });

// Route::controller(App\Http\Controllers\User\AuthController::class)->group(function () {
//     Route::get('login', 'showLogin')->name('login');
//     Route::post('login', 'login');
// });

Route::prefix('admin')->middleware('guest:admin')->group(function(){

    // Route::view('login','cms.login')->name('login');
    Route::get('login',[AuthController::class,'showLogin'])->name('login.admin');
    Route::post('login',[AuthController::class,'login']);

});

Route::prefix('admin')->middleware('auth:admin')->group(function(){

    Route::view('/','cmsAdmin.demo');

    Route::resource('users',UserController::class);
    Route::resource('sellers',SellerController::class);
    Route::resource('admins',AdminController::class);
    Route::get('logout',[AuthController::class,'logout'])->name('logout.admin');
});

Route::prefix('seller')->middleware('guest:seller')->group(function(){

    // Route::view('login','cms.login')->name('login');
    Route::get('login',[SellerAuthController::class,'showLogin'])->name('login.seller');
    Route::post('login',[SellerAuthController::class,'login']);

});

Route::prefix('seller')->middleware('auth:seller')->group(function(){

    Route::view('/','seller.home');

    // Route::resource('cities',CityController::class);
    Route::resource('categories',CategoryController::class);
    Route::get('logout',[SellerAuthController::class,'logout'])->name('logout.seller');
});

resources/views/cmsAdmin/admin/create.blade.php
@extends('cmsAdmin.parent')

@section('title','Create Admin')

@section('big-title','Create Admin')

@section('main-page','Home')

@section('sub-page','Admins')

@section('content')

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Create Admin</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form id="create-form">
                  @csrf
                <div class="card-body">
                  <div class="form-group">
                    <label for="name">Name</label>
                    <input type="text" class="form-control" id="name" placeholder="Enter Name">
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" placeholder="Enter Email">
                  </div>
                  {{-- <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="checkbox" class="custom-control-input" id="active">
                      <label class="custom-control-label" for="active">Active</label>
                    </div>
                  </div> --}}
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="button" onclick="store()" class="btn btn-primary">Store</button>
                </div>
              </form>
            </div>
            <!-- /.card -->


    </section>
    <!-- /.content -->

@endsection

@section('scripts')
    <script>

        function store(){
            axios.post('/admin/admins',{
                name:document.getElementById('name').value,
                email:document.getElementById('email').value,
                // active:document.getElementById('active').checked

            })
            .then(function (response) {
                // handle success
                console.log(response);
                toastr.success(response.data.message);
                document.getElementById('create-form').rest();
            })
            .catch(function (error) {
                // handle error
                console.log(error);
                toastr.error(error.response.data.message);
            })
            .then(function () {
                // always executed
            });
        }
    </script>
@endsection

resources/views/cmsAdmin/admin/edit.blade.php
@extends('cmsAdmin.parent')

@section('title','Update Admin')

@section('big-title','Update Admin')

@section('main-page','Home')

@section('sub-page','Admins')

@section('content')

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Update Admin</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form id="update-form">
                  @csrf

                <div class="card-body">
                  <div class="form-group">
                    <label for="name">Name</label>
                    <input type="text" class="form-control" id="name" placeholder="Enter Name"
                    value="{{$admin->name}}">
                  </div>
                  <div class="form-group">
                    <label for="name">Email</label>
                    <input type="email" class="form-control" id="email" placeholder="Enter Email"
                    value="{{$admin->email}}">
                  </div>
                  {{-- <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="checkbox" class="custom-control-input" id="active"
                      @if($admin->active) checked @endif>
                      <label class="custom-control-label" for="active">Active</label>
                    </div>
                  </div> --}}
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="button" onclick="update({{$admin->id}})" class="btn btn-primary">Update</button>
                </div>
              </form>
            </div>
            <!-- /.card -->


    </section>
    <!-- /.content -->

@endsection

@section('scripts')
    <script>

        function update(id){
            axios.put('/admin/admins/'+id,{
                name:document.getElementById('name').value,
                email:document.getElementById('email').value
                // active:document.getElementById('active').checked

            })
            .then(function (response) {
                // handle success
                console.log(response);
                toastr.success(response.data.message);
                window.location.href = "/admin/admins";
            })
            .catch(function (error) {
                // handle error
                console.log(error);
                toastr.error(error.response.data.message);
            })
            .then(function () {
                // always executed
            });
        }
    </script>
@endsection

resources/views/cmsAdmin/admin/index.blade.php
@extends('cmsAdmin.parent')

@section('title','admins')

@section('big-title','admins')

@section('main-page','Home')

@section('sub-page','admins')

@section('content')

<section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Admin Information</h3>

              <div class="card-tools">
                <div class="input-group input-group-sm" style="width: 150px;">
                  <input type="text" name="table_search" class="form-control float-right" placeholder="Search">

                  <div class="input-group-append">
                    <button type="submit" class="btn btn-default">
                      <i class="fas fa-search"></i>
                    </button>
                  </div>
                </div>
              </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
              <table class="table table-hover table-bordered table-striped text-nowrap">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Status</th>
                    <th>Created At</th>
                    <th>Updated At</th>
                    <th>Setting</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach ($admins as $admin )
                    <tr>
                        <td>{{$admin->id}}</td>
                        <td>{{$admin->name}}</td>
                        <td>{{$admin->email}}</td>
                        <td>{{$admin->created_at}}</td>
                        <td>{{$admin->updated_at}}</td>
                        <td>
                            <div class="btn-group">
                                <a href="{{route('admins.edit',$admin->id)}}" class="btn btn-info">
                                    <i class="far fa-edit"></i>
                                </a>
                                <a href="#" class="btn btn-danger"
                                onclick="confirmDestroy({{$admin->id}},this)">
                                    <i class="fas fa-trash"></i>
                                </a>
                              </div>
                        </td>
                        {{-- <td><span class="tag tag-success">Approved</span></td> --}}
                    </tr>
                    @endforeach
                </tbody>
              </table>
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->
        </div>
      </div>
    </div><!-- /.container-fluid -->
</section>

@endsection

@section('scripts')

    <script>
        function confirmDestroy(id,reference){
            // alert("CONFIRM DESTROY FUNCTION");
            // console.log("CONFIRM DESTROY");
            // console.log(id);
            Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
            if (result.isConfirmed) {
                destroy(id,reference);
            }
            })
        }
        function destroy(id,reference){
            axios.delete('/admin/admins/'+id)
            .then(function (response) {
                // handle success
                console.log(response);
                reference.closest('tr').remove();
                showMessage(response.data);
            })
            .catch(function (error) {
                // handle error
                console.log(error);
                showMessage(error.response.data);
            })
            .then(function () {
                // always executed
            });
        }
        function showMessage(data){
            Swal.fire({
                icon: data.icon,
                title: data.title,
                text:data.text,
                showConfirmButton: false,
                timer: 1500
            })
        }
    </script>

@endsection